#%define        lxx74_cups_version 0.8.4.2
%define        bigver %(echo %version | cut -d. -f 1-2)
%define        relver %(echo %version | cut -d. -f 3)

Name:          foomatic-db
Version:       4.0.20140201
Release:       1mamba
Summary:       Printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source0:       http://www.openprinting.org/download/foomatic/foomatic-db-%{bigver}-%{relver}.tar.gz
URL:           http://www.openprinting.org/foomatic.html
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: hplip-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: ghostscript-devel
BuildRequires: libcups-devel >= 1.1.20
Requires:      hplip >= 0.9.7
Requires:      gutenprint
Requires:      foo2zjs
Requires:      libpoppler-tools
Requires:      splix
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files. It also contains manufacturer-supplied PPD files which got released under free software licenses.

%package nonfree
Summary:       Manufacturer-supplied PPD files released under non-free licenses
Group:	       System/Spooling

%description nonfree
Foomatic database extension consisting of manufacturer-supplied PPD files released under non-free licenses which restricts them in how they can get redistributed.

%package extras
Summary:       Extra driver files also provided by third party packages
Group:         System/Spooling

%description extras
The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files. It also contains manufacturer-supplied PPD files which got released under free software licenses.
This package contains extra driver files that also come from third party packages.

%prep
%setup -q -n %{name}-%{relver}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#%post
#if [ $1 -ge 1 ]; then
#   rm -f /var/cache/foomatic/*/*
#   if [ -d /var/cache/foomatic/compiled ]; then
#      foomatic-combo-xml -O >/var/cache/foomatic/compiled/overview.xml
#   fi
#fi
#:

%files
%defattr(-,root,root)
%{_datadir}/foomatic/db/oldprinterids
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/opt/*.xml
%{_datadir}/foomatic/db/source/PPD/*
%{_datadir}/foomatic/db/source/printer/*.xml
%{_datadir}/foomatic/xmlschema/*.xsd
%{_datadir}/cups/model/foomatic-db-ppds
%exclude %{_datadir}/foomatic/db/source/driver/gutenprint.xml
%exclude %{_datadir}/foomatic/db/source/PPD/Kyocera/ReadMe.htm
%exclude %{_datadir}/foomatic/db/source/driver/foo2hiperc.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2hp.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2lava.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2oak-z1.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2oak.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2qpdl.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2slx.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2xqx.xml
%exclude %{_datadir}/foomatic/db/source/driver/foo2zjs.xml
%exclude %{_datadir}/foomatic/db/source/printer/Generic-OAKT_Printer.xml
%exclude %{_datadir}/foomatic/db/source/printer/Generic-ZjStream_Printer.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_1600.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_2600n.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_CP1215.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1000.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1005.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1018.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1020.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022n.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022nw.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_M1005_MFP.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_M1120_MFP.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1005.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1006.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1007.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1008.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1505.xml
%exclude %{_datadir}/foomatic/db/source/printer/HP-LaserJet_P2014.xml
%exclude %{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2480_MF.xml
%exclude %{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2490_MF.xml
%exclude %{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2430_DL.xml
%exclude %{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2530_DL.xml
%exclude %{_datadir}/foomatic/db/source/printer/Kyocera-KM-1635.xml
%exclude %{_datadir}/foomatic/db/source/printer/Kyocera-KM-2035.xml
%exclude %{_datadir}/foomatic/db/source/printer/Lexmark-C500.xml
%exclude %{_datadir}/foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml
%exclude %{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml
%exclude %{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml
%exclude %{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C3100.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C3200.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C3300.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C3400.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C3530_MFP.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C5100.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C5200.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C5500.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C5600.xml
%exclude %{_datadir}/foomatic/db/source/printer/Oki-C5800.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLP-300.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLP-310.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLP-315.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLP-600.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLP-610.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLX-2160.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLX-3160.xml
%exclude %{_datadir}/foomatic/db/source/printer/Samsung-CLX-3175.xml
%exclude %{_datadir}/foomatic/db/source/printer/Xerox-Phaser_6110.xml
%exclude %{_datadir}/foomatic/db/source/printer/Xerox-Phaser_6115MFP.xml

%files extras
%defattr(-,root,root)
%{_datadir}/foomatic/db/source/driver/gutenprint.xml
%{_datadir}/foomatic/db/source/PPD/Kyocera/ReadMe.htm
%{_datadir}/foomatic/db/source/driver/foo2hiperc.xml
%{_datadir}/foomatic/db/source/driver/foo2hp.xml
%{_datadir}/foomatic/db/source/driver/foo2lava.xml
%{_datadir}/foomatic/db/source/driver/foo2oak-z1.xml
%{_datadir}/foomatic/db/source/driver/foo2oak.xml
%{_datadir}/foomatic/db/source/driver/foo2qpdl.xml
%{_datadir}/foomatic/db/source/driver/foo2slx.xml
%{_datadir}/foomatic/db/source/driver/foo2xqx.xml
%{_datadir}/foomatic/db/source/driver/foo2zjs.xml
%{_datadir}/foomatic/db/source/printer/Generic-OAKT_Printer.xml
%{_datadir}/foomatic/db/source/printer/Generic-ZjStream_Printer.xml
%{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
%{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_1600.xml
%{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_2600n.xml
%{_datadir}/foomatic/db/source/printer/HP-Color_LaserJet_CP1215.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1000.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1005.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1018.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1020.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022n.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_1022nw.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_M1005_MFP.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_M1120_MFP.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1005.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1006.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1007.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1008.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P1505.xml
%{_datadir}/foomatic/db/source/printer/HP-LaserJet_P2014.xml
%{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2480_MF.xml
%{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2490_MF.xml
%{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2430_DL.xml
%{_datadir}/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2530_DL.xml
%{_datadir}/foomatic/db/source/printer/Kyocera-KM-1635.xml
%{_datadir}/foomatic/db/source/printer/Kyocera-KM-2035.xml
%{_datadir}/foomatic/db/source/printer/Lexmark-C500.xml
%{_datadir}/foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml
%{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml
%{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml
%{_datadir}/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml
%{_datadir}/foomatic/db/source/printer/Oki-C3100.xml
%{_datadir}/foomatic/db/source/printer/Oki-C3200.xml
%{_datadir}/foomatic/db/source/printer/Oki-C3300.xml
%{_datadir}/foomatic/db/source/printer/Oki-C3400.xml
%{_datadir}/foomatic/db/source/printer/Oki-C3530_MFP.xml
%{_datadir}/foomatic/db/source/printer/Oki-C5100.xml
%{_datadir}/foomatic/db/source/printer/Oki-C5200.xml
%{_datadir}/foomatic/db/source/printer/Oki-C5500.xml
%{_datadir}/foomatic/db/source/printer/Oki-C5600.xml
%{_datadir}/foomatic/db/source/printer/Oki-C5800.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLP-300.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLP-310.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLP-315.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLP-600.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLP-610.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLX-2160.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLX-3160.xml
%{_datadir}/foomatic/db/source/printer/Samsung-CLX-3175.xml
%{_datadir}/foomatic/db/source/printer/Xerox-Phaser_6110.xml
%{_datadir}/foomatic/db/source/printer/Xerox-Phaser_6115MFP.xml

%changelog
* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20140201-1mamba
- update to 4.0.20140201

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120929-2mamba
- move to extra package more files conflicting with recent foo2zjs

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120929-1mamba
- update to 4.0.20120929

* Wed Aug 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120808-1mamba
- update to 4.0.20120808

* Thu Feb 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120216-1mamba
- update to 4.0.20120216

* Fri Oct 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20110901-2mamba
- added requirement for splix (samsung/xerox/dell drivers)

* Thu Sep 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20110901-1mamba
- update to 4.0.20110901

* Sat Jan 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091205-2mamba
- exclude non ppd file  /usr/share/cups/model/foomatic-db-ppds/Kyocera/ReadMe.htm to fix a warning when enumerating printers

* Sat Dec 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091205-1mamba
- update to 4.0.20091205
- split from foomatic package

* Tue Dec 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091201-1mamba
- update to 4.0.20091201
- added requirement for libpoppler-tools

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090616-1mamba
- update to 4.0.20090616

* Thu May 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090514-1mamba
- update to 4.0.20090514

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-2mamba
- automatic rebuild by autodist

* Mon Jun 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-1mamba
- update to 3.0.20080608
- excluded gutenprint drivers definition files gutenprint.xml and gutenprint52.xml

* Thu Mar 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080327-1mamba
- update to 3.0.20080327

* Tue Mar 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080325-1mamba
- update to 3.0.20080325
- removed ppd from foomatic-filters-ppds

* Sun Oct 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20071012-2mamba
- update to 3.0.20071012
- epoch incremented because of major release download (3.1 is unstable)
- removed lx x74 driver (it is partially supported by foomatic)

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.20060319-1qilnx
- update to version 20060319 by autospec
- removed foomatic-db sources from target package
- specfile architectural changes (build under single foomatic dir)
- fixed lxx74 driver packaging
- change versioning to include big version of foomatic (and increment epoch)
- patch Generic Postscript driver name so it works in KDE

* Wed Feb 22 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060221-2qilnx
- add a patch to fix a perl error on DB.pm

* Tue Feb 21 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20060221-1qilnx
- update to version 20060221 by autospec

* Thu Jan 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060126-1qilnx
- update to version 20060126 by autospec
- fixed %pre script (ad exit 0 to the end)

* Thu Nov 24 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20051124-1qilnx
- update to version 20051124 by autospec

* Tue Aug 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050830-1qilnx
- update to version 20050830 by autospec

* Mon May 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050502-1qilnx
- new version build

* Tue Oct 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-2qilnx
- added missing symlinks in /usr/lib/cups/filters, ppr/lib, ppr/interfaces

* Mon Sep 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-1qilnx
- new drivers version build
- added lxx74 drivers for Lexmark printers

* Wed Aug 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040811-1qilnx
- new version build

* Fri May 21 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040521-1qilnx
- first build
